<template>
  <q-page padding class="row justify-center items-center">
    <q-card class="d-verification">
      <q-card-section>
        <div class="row items-center no-wrap">
          <div class="col">
            <div class="text-h5">Verificación del correo electrónico</div>
          </div>
          <div class="col">
            <div class="row justify-end">
              <div v-if="!verified" class="col-2">
                <router-link :to="{ name: 'auth.register.business' }">
                  Crear cuenta
                </router-link>
              </div>
              <div class="col-2">
                <router-link :to="{ name: 'auth.login' }">
                  Iniciar Sesión
                </router-link>
              </div>
            </div>
          </div>
        </div>
      </q-card-section>
      <q-card-section>
        <div class="text-h6">
          {{ message }}
        </div>
      </q-card-section>
    </q-card>
  </q-page>
</template>

<script>
export default {
  props: ['token', 'id'],
  data () {
    return {
      message: '',
      verified: false
    }
  },
  mounted () {
    this.checkToken()
  },
  methods: {
    async checkToken () {
      let message
      try {
        const { data } = await this.$axios.get(`verify/${this.token}/user/${this.id}`)
        message = data.message
        this.verified = data.verified
      } catch (e) {
        message = e.response.data.message
        // console.error('verify', message)
      }
      this.message = message
    }
  }
}
</script>
